public static interface QuartzEndpointBuilderFactory.QuartzBuilders
| Modifier and Type | Method and Description |
|---|---|
default QuartzEndpointBuilderFactory.QuartzEndpointBuilder |
quartz(String path)
Quartz (camel-quartz)
Schedule sending of messages using the Quartz 2.x scheduler.
|
default QuartzEndpointBuilderFactory.QuartzEndpointBuilder |
quartz(String componentName,
String path)
Quartz (camel-quartz)
Schedule sending of messages using the Quartz 2.x scheduler.
|
default QuartzEndpointBuilderFactory.QuartzEndpointBuilder quartz(String path)
quartz:groupName/triggerName
Path parameter: groupName
The quartz group name to use. The combination of group name and
trigger name should be unique.
Default value: Camel
Path parameter: triggerName (required)
The quartz trigger name to use. The combination of group name and
trigger name should be unique.path - groupName/triggerNamedefault QuartzEndpointBuilderFactory.QuartzEndpointBuilder quartz(String componentName, String path)
quartz:groupName/triggerName
Path parameter: groupName
The quartz group name to use. The combination of group name and
trigger name should be unique.
Default value: Camel
Path parameter: triggerName (required)
The quartz trigger name to use. The combination of group name and
trigger name should be unique.componentName - to use a custom component name for the endpoint
instead of the default namepath - groupName/triggerNameApache Camel